<?php
/* Copyright (C) 2007-2015 Laurent Destailleur  <eldy@users.sourceforge.net>
 * Copyright (C) 2019      Open-DSI             <support@open-dsi.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 *	    \file       htdocs/banking4dolibarr/admin/price.php
 *		\ingroup    banking4dolibarr
 *		\brief      Page of price subscription banking4dolibarr module
 */

// Change this following line to use the correct relative path (../, ../../, etc)
$res=0;
if (! $res && file_exists("../../main.inc.php")) $res=@include '../../main.inc.php';			// to work if your module directory is into a subdir of root htdocs directory
if (! $res && file_exists("../../../main.inc.php")) $res=@include '../../../main.inc.php';		// to work if your module directory is into a subdir of root htdocs directory
if (! $res) die("Include of main fails");
require_once DOL_DOCUMENT_ROOT.'/core/lib/admin.lib.php';
require_once DOL_DOCUMENT_ROOT . '/core/class/html.formother.class.php';
require_once DOL_DOCUMENT_ROOT . '/core/class/html.formadmin.class.php';
dol_include_once('/banking4dolibarr/lib/banking4dolibarr.lib.php');
dol_include_once('/banking4dolibarr/class/module_key/opendsimodulekeyb4d.class.php');
dol_include_once('/banking4dolibarr/class/budgetinsight.class.php');
dol_include_once('/banking4dolibarr/class/html.formbanking4dolibarr.class.php');

$langs->load("admin");
$langs->load("banking4dolibarr@banking4dolibarr");
$langs->load("opendsi@banking4dolibarr");
$langs->load("oauth");

if (!$user->admin || empty($user->rights->banking4dolibarr->param_menu)) accessforbidden();

$action = GETPOST('action', 'aZ09');

/*
 *	Actions
 */

$errors = [];
$error = 0;

/*
 *	View
 */

$form = new Form($db);
$formadmin = new FormAdmin($db);
$formother = new FormOther($db);
$formbanking4dolibarr = new FormBanking4Dolibarr($db);

$wikihelp = 'EN:Banking4Dolibarr_En|FR:Banking4Dolibarr_Fr|ES:Banking4Dolibarr_Es';
llxHeader('', $langs->trans("Banking4DolibarrSetup"), $wikihelp);

$linkback = '<a href="' . DOL_URL_ROOT . '/admin/modules.php">' . $langs->trans("BackToModuleList") . '</a>';
print load_fiche_titre($langs->trans("Banking4DolibarrSetup"), $linkback, 'title_setup');
print "<br>\n";

$head = banking4dolibarr_admin_prepare_head();

dol_fiche_head($head, 'price', $langs->trans("Module163036Name"), -1, 'opendsi@banking4dolibarr');

print load_fiche_titre($langs->trans("Banking4DolibarrTabPrice"), '', '');

print '<div class="centpercent">';
print '<span>' . $langs->trans("Banking4DolibarrPriceDisclaimer") . '</span>' . "\n";
print "<br>\n";
print "<br>\n";
print '<span><u>' . $langs->trans("Banking4DolibarrPriceComparative") . ' : </u></span><br><br>' . "\n";
print "</div>\n";
print '<div class="center centpercent">';
print '<span>' . img_picto($langs->trans("Banking4DolibarrTabPrice"), 'comparison_table.png@banking4dolibarr') . '</span>' . "\n";
print "</div>\n";

dol_fiche_end();

llxFooter();

$db->close();
